### org.jfree.layouting

# Class LibLayoutCoreModule

- `AbstractModule`
- - `org.jfree.layouting.LibLayoutCoreModule`

`public class LibLayoutCoreModule`
`extends AbstractModule`

Creation-Date: 26.11.2006, 12:57:26

Author:
  Thomas Morgner

  ## Constructor Summary

  `LibLayoutCoreModule()`

  ## Method Summary

  `void`

  `initialize(SubSystem subSystem)`
    Initializes the module.

## Constructor Details

### LibLayoutCoreModule

    public LibLayoutCoreModule()
                throws ModuleInitializeException

## Method Details

### initialize

    public void initialize(SubSystem subSystem)
                throws ModuleInitializeException

> Initializes the module. Use this method to perform all initial setup operations. This method is called only once in a modules lifetime. If the initializing cannot be completed, throw a ModuleInitializeException to indicate the error,. The module will not be available to the system.
> Parameters:
>   `subSystem` - the subSystem.